Sync with portage [Wed Aug 2 18:05:06 MSK 2023].

master
root 9 months ago
parent 8b116afa4f
commit 469fbba921

Binary file not shown.

Binary file not shown.

@ -3,5 +3,7 @@ DIST aws-cli-1.29.11.gh.tar.gz 2456638 BLAKE2B 31deddef1c85e5ffcf096b91c6da36657
DIST aws-cli-1.29.12.gh.tar.gz 2457227 BLAKE2B 7d9ba5e9fe3425dd4dfaa330323ff546ea1f6bd3aee0757b3b994fcfc865c9f9bebbffd5aa038b61a0c8644bed9a4123daf878bdae9fb7ecb66e308b20a47983 SHA512 82c3fcad4ca6beaeb0cfdfbe5e7e585cd9cff100062943bc9c42d940a1e3a6ffd5d4ce3d1c45c61c81cd647ef22100a1e51dbf39ac45bc7566d1a8f533e76ba1
DIST aws-cli-1.29.14.gh.tar.gz 2495994 BLAKE2B 904bd6cbf5230a277a94f67caa6a6da671a1869c9a031b9eabef30343b9f1f62949609f86291a94955256bfbcb6312138b148dd40693e97f21258dc198395bb4 SHA512 c47972c69da5e1b8263dc6743c13ee6449d6281da26d4dfb9573b70ad01ea1c7e020b2884baf0e508054ceff36a319163b224e23912dba49407ec5bd4243aad2
DIST aws-cli-1.29.15.gh.tar.gz 2496511 BLAKE2B 4fbee2b4f5eda0367437b840dc1cd6ce2505692b9c0ae8dae99f013dc6b8c1f18416851284d75be8d7d7b6ea4854114fd6c2755356321c0cf8ce43886eb86778 SHA512 03b0039bf9fbc2f2e032840e5236901fb5512c80922248f9444c150630f4cb12cab67053f15443a591a80f1eec9218444bff2e29a10889fa2b32a50bae9f1598
DIST aws-cli-1.29.16.gh.tar.gz 2498668 BLAKE2B 04c2be54deb7ffa1756be3c5036039ebef59b7a6e6fc8346b3f88eabcd675b8272835623cc4ab5a29176fac1a9a45268e2cc8b7b056b929f41bc7bebd3f573fc SHA512 7ebea15eea11f12cd25edccc01fcef0a37260ca7f8a2d020af6c014c568b89f8e495251e652d850ee39d72ee782a1818d7bd581dd052b61e44b05d1fc9cc215a
DIST aws-cli-1.29.17.gh.tar.gz 2498983 BLAKE2B 094f6139881ac802dc01678979ecf0b76f8bc1d31e3afc19e9bbaf5bd94c3a3e1c539f802165183e5548ad43d342e7f8cc5a6798ae2fd817e46b9b1092c6a2c7 SHA512 e55e216293571f29224514376bd0f1d94b13a823e03eca6c2eef7f9c09265504354ca93440294b17ba9d07d740b62eeb2e5201466886e6b05f3a453c1688210a
DIST aws-cli-1.29.3.gh.tar.gz 2450427 BLAKE2B 6e240905c8fbb2916334c2de0e9fd851636acfbc050916baf971e2f5e5a1d93d398c77c6a1fe0766f701ad53683e5f41b1bb5519e5ac7b5e8f0a64d37e113c34 SHA512 3446e057abcc956e26b55de85383d0d40c041bcfda0f7e566309d80bbd22d567a474d93ab74461e91bdd7eaff1db9c77813912653c7864bcc851d12d2cea8ee2
DIST aws-cli-1.29.9.gh.tar.gz 2454843 BLAKE2B a4e49923aec2d09d8244e58fe737f1a0528956397050b693892b2d4521d4e41956fc2a11f6e8bc0c88d6ea16ae4f7f85276037a7864c989334109ef090623f99 SHA512 2238c70ccaa8e73cedca9a56e4cda48a62b0b26999c481585769872b42517f2a25d80b94cf9e18961c5fb81c9d8fe44bda9dbf6024e31bbc7409d6ce53f1a915

@ -0,0 +1,80 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..11} )
inherit bash-completion-r1 distutils-r1 multiprocessing
MY_P=aws-cli-${PV}
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="
https://github.com/aws/aws-cli/
https://pypi.org/project/awscli/
"
SRC_URI="
https://github.com/aws/aws-cli/archive/${PV}.tar.gz
-> ${MY_P}.gh.tar.gz
"
S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
# botocore is x.(y+2).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 2)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
!app-admin/awscli-bin
"
BDEPEND="
test? (
dev-python/pytest-forked[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
src_prepare() {
# do not rely on bundled deps in botocore (sic!)
find -name '*.py' -exec sed -i \
-e 's:from botocore[.]vendored import:import:' \
-e 's:from botocore[.]vendored[.]:from :' \
{} + || die
# strip overzealous upper bounds on requirements
sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
distutils-r1_src_prepare
}
python_test() {
local EPYTEST_DESELECT=(
# TODO
tests/functional/eks/test_kubeconfig.py::TestKubeconfigLoader::test_load_simple
tests/unit/customizations/eks/test_update_kubeconfig.py::TestKubeconfigSelector::test_choose_env_only
tests/unit/customizations/eks/test_update_kubeconfig.py::TestKubeconfigSelector::test_choose_existing
tests/unit/customizations/eks/test_kubeconfig.py::TestKubeconfigValidator::test_valid
)
# integration tests require AWS credentials and Internet access
epytest tests/{functional,unit} -n "$(makeopts_jobs)" --forked
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

@ -0,0 +1,80 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..11} )
inherit bash-completion-r1 distutils-r1 multiprocessing
MY_P=aws-cli-${PV}
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="
https://github.com/aws/aws-cli/
https://pypi.org/project/awscli/
"
SRC_URI="
https://github.com/aws/aws-cli/archive/${PV}.tar.gz
-> ${MY_P}.gh.tar.gz
"
S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
# botocore is x.(y+2).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 2)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
!app-admin/awscli-bin
"
BDEPEND="
test? (
dev-python/pytest-forked[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
src_prepare() {
# do not rely on bundled deps in botocore (sic!)
find -name '*.py' -exec sed -i \
-e 's:from botocore[.]vendored import:import:' \
-e 's:from botocore[.]vendored[.]:from :' \
{} + || die
# strip overzealous upper bounds on requirements
sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
distutils-r1_src_prepare
}
python_test() {
local EPYTEST_DESELECT=(
# TODO
tests/functional/eks/test_kubeconfig.py::TestKubeconfigLoader::test_load_simple
tests/unit/customizations/eks/test_update_kubeconfig.py::TestKubeconfigSelector::test_choose_env_only
tests/unit/customizations/eks/test_update_kubeconfig.py::TestKubeconfigSelector::test_choose_existing
tests/unit/customizations/eks/test_kubeconfig.py::TestKubeconfigValidator::test_valid
)
# integration tests require AWS credentials and Internet access
epytest tests/{functional,unit} -n "$(makeopts_jobs)" --forked
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

@ -1,2 +1,2 @@
DIST Bitwarden-2022.12.0-amd64.deb 65434808 BLAKE2B 81e7f1b0d7a95fa08554fced72440d65c4fb5fb86371f4ce773904f53543a3586f56eb53d2a4f79034a475430d3b2926404a2bc178e49bb97999295100a6a352 SHA512 ca1fafe48b3dcbab8c2152ed84337c7ebd8cc1934f24d2eabf7ef65733c163e84fc9e49f8566cf2201ab557144e81360db8d8ee1883a92c275804d7c3ddf886b
DIST Bitwarden-2023.2.0-amd64.deb 70836086 BLAKE2B 84c9bfd58a0b5e1647f8bf6af8e9c0070bb940896161c58bbcf43af03109e6623d741dfe303af84fd2ed98e8c16f95ef9eaa3936b6c39c851d4960ba29d4554e SHA512 19cc12e85c2b4fdff2c52747fcea9cd888040c2d20faa0eaf81237d4ccbe4a0c4ed0df792c6c193768e33329561759357dc333fd05018a00e82bc71a4e8082e8
DIST Bitwarden-2023.7.1-amd64.deb 74029276 BLAKE2B 1bf8dcd652271fe4ae794b9b86686de7af1edbb23279fe8ecb49dc409c62dffdf0c34bc9b49792e0a2fcf6dc887fae7c615fa30bbebba458a1cbf3d457b4eb75 SHA512 48a8301cf9824458fff39081b41bc7da208c877966eca4a00f51dd4fba6d0370370fa0edaf557d892533fc43ee2d27277465cb1203a00551428aa5032c6bd2c1

@ -24,14 +24,15 @@ RDEPEND="
app-crypt/libsecret
dev-libs/expat
dev-libs/glib
sys-libs/glibc
dev-libs/nspr
dev-libs/nss
dev-libs/wayland
media-libs/alsa-lib
media-libs/mesa
net-print/cups
sys-apps/dbus
sys-apps/util-linux
sys-libs/glibc
x11-libs/cairo
x11-libs/gdk-pixbuf:2
x11-libs/gtk+:3

@ -1,2 +1 @@
DIST hcloud-1.31.1.tar.xz 1735560 BLAKE2B 66b2deaefbf61a72bf6a9e004c29d1198e5cfd40956e9936d5db27903aff5f8151c230da61b33ce4231885613d53ba5c96f99fb10df03fdcc241ec32fa465de5 SHA512 b61683ea54455be1db0ae196615642d0247e56ca51f3848847fba09124a45606aea2495f4408694acc5e819d9dc79ffdb2b9ce4e85aade7dea0335be94461066
DIST hcloud-1.36.0.tar.xz 1819508 BLAKE2B 98666a7f27f91c75bda6a62c944824dc419312590e29839bb826d3e21bdc41bdc89902522148e42c4211bf154517f4e825fac77ae0de41a3c1e0c69bce50c2f3 SHA512 3981182acd9e971b06c68b932be204fbca31e8b8651bbd0ace04926d9435cafd8da907cc13af4e13adf768ab11b0403cb35384cb42e8b93e299bd48413f8defe

@ -1,34 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="A command-line interface for Hetzner Cloud"
HOMEPAGE="https://github.com/hetznercloud/cli"
SRC_URI="https://dev.gentoo.org/~ago/distfiles/${P}.tar.xz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64"
IUSE=""
DEPEND="dev-lang/go:="
RESTRICT="strip"
QA_FLAGS_IGNORED=".*"
src_compile() {
go build -mod vendor -o ${PN} -ldflags "-w -X github.com/hetznercloud/cli/internal/version.Version=${PV}-gentoo" ./cmd/${PN} || die "build failed"
}
src_test() {
# For upstream a simple test is run 'hcloud version'
./hcloud version
if [[ $? -ne 0 ]]
then
die "Test failed"
fi
}
src_install() {
dobin ${PN}
}

@ -9,7 +9,7 @@ SRC_URI="https://dev.gentoo.org/~ago/distfiles/${P}.tar.xz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="amd64"
IUSE=""
DEPEND=">=dev-lang/go-1.18:="

@ -1,2 +1,3 @@
DIST sysklogd-2.4.4.tar.gz 451938 BLAKE2B 218d9487440ab3fa395f596e5e4a9fa95df9dfa416470da658a9ac742437050c81a6e62b42763b038b8dc5d8cfab2ba30d049e269b08a66882f6d3f99863ee7b SHA512 434609dd11951b37d62b5371a2aef66424bb15ae4c98cba44762e8338ac135b37a453e5a4f40492ab80bce9b72faefc9a0ad065753f4cc5f7595911477b26e4a
DIST sysklogd-2.5.0.tar.gz 459695 BLAKE2B ab8185e114f7da2c35b6ba3e3b42e13f3697155b43ccfa923229d95150e3734f74db6f732bcbc999068d8a2f8124a404ee893d2e6ce4c154f89301b3b523df39 SHA512 4599f153b046317977de990455b1eea195967da81f68451f1bda4fadba6fe685d7fe533aba3b39f4daa456d6c4931743162a021067e0a16f072a7c77908286f9
DIST sysklogd-2.5.1.tar.gz 461179 BLAKE2B efb1e1ef6456644935b0c5341bf844fe87ed910aec3fd0725da2cc2d6b3f0e1f8d4667e45525b61fa3a249387a23757291daa33aac2a72d4fcd89d325e12ab89 SHA512 24d8a76cab4c25b646d879676b46f98bb56c2079badab4f351bf983015479134e4a3e4d64fb50faade26fea8dd7e31c2c45610c17420c147c36bbbe054634983

@ -0,0 +1,85 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit flag-o-matic systemd toolchain-funcs
DESCRIPTION="Standard log daemons"
HOMEPAGE="https://troglobit.com/sysklogd.html https://github.com/troglobit/sysklogd"
if [[ ${PV} == *9999 ]] ; then
inherit autotools git-r3
EGIT_REPO_URI="https://github.com/troglobit/sysklogd.git"
else
SRC_URI="https://github.com/troglobit/sysklogd/releases/download/v${PV}/${P}.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
fi
LICENSE="BSD"
SLOT="0"
IUSE="logger logrotate"
# Needs network access
RESTRICT="test"
DEPEND="
logger? ( sys-apps/util-linux[-logger(+)] )
"
RDEPEND="
${DEPEND}
logrotate? ( app-admin/logrotate )
"
DOCS=( ChangeLog.md README.md )
src_prepare() {
default
[[ ${PV} == *9999 ]] && eautoreconf
}
src_configure() {
append-lfs-flags
tc-export CC
local myeconfargs=(
--disable-static
--runstatedir="${EPREFIX}"/run
--with-systemd=$(systemd_get_systemunitdir)
$(use_with logger)
)
econf "${myeconfargs[@]}"
}
src_install() {
default
insinto /etc
doins syslog.conf
keepdir /etc/syslog.d
newinitd "${FILESDIR}"/sysklogd.rc10 sysklogd
newconfd "${FILESDIR}"/sysklogd.confd3 sysklogd
if use logrotate ; then
insinto /etc/logrotate.d
newins "${FILESDIR}"/sysklogd.logrotate sysklogd
sed 's@ -r 10M:10@@' -i "${ED}"/etc/conf.d/sysklogd || die
fi
find "${ED}" -type f -name "*.la" -delete || die
}
pkg_postinst() {
if ! use logrotate && [[ -n ${REPLACING_VERSIONS} ]] && ver_test ${REPLACING_VERSIONS} -lt 2.0 ; then
elog "Starting with version 2.0 syslogd has built in log rotation"
elog "functionality that does no longer require a running cron daemon."
elog "So we no longer install any log rotation cron files for sysklogd."
fi
if [[ -n ${REPLACING_VERSIONS} ]] && ver_test ${REPLACING_VERSIONS} -lt 2.1 ; then
elog "Starting with version 2.1 sysklogd no longer provides klogd."
elog "syslogd now also logs kernel messages."
fi
}

Binary file not shown.

@ -16,7 +16,7 @@ SRC_URI="
LICENSE="BSD BSD-2 BSD-4 public-domain"
SLOT="0/13"
KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
KEYWORDS="~alpha amd64 ~arm arm64 hppa ~ia64 ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="acl blake2 +bzip2 +e2fsprogs expat +iconv lz4 +lzma lzo nettle static-libs xattr zstd"
VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/libarchive.org.asc

@ -6,3 +6,5 @@ DIST xz-5.4.2.tar.gz 2799022 BLAKE2B 3c622b0823f0cbb5fbc5eaa0372fc2f0fefe0950d13
DIST xz-5.4.2.tar.gz.sig 566 BLAKE2B 95c9c70fdd25b92095dd9691e4d9d4306a3f982becfe7bd42ca6132a76f29be2c2bc66f4fc2bda547058c18e227292f4185799eb905084fc3ab415ae867b4b1b SHA512 30e965c228ed3a8ecb804db8eb11703a765b7ee934030ea69bb3940b630811eb71bf74fd20371ef7759761904ece4f0144a0b00be4d843cf98299fd016f161aa
DIST xz-5.4.3.tar.gz 2869347 BLAKE2B c4192a59ca751567ebab17e08e72aa1bf0f5ca14af0b59fded1c4dff02c1b76ab30119a4138932f78f69bd4b7827071c81d6ca1c56be65491466ea061786ed78 SHA512 aff0fe166af6df4491a6f5df2372cab100b081452461a0e8c6fd65b72af3f250f16c64d9fb8fd309141e9b9ae4e41649f48687cc29e63dd82f27f2eab19b4023
DIST xz-5.4.3.tar.gz.sig 566 BLAKE2B 1e3f86a2de532e77cae4c31928d57edeac81ca207e03c71523210605dc6bab76a50793697a242b232f74911c6e1872a0339ed977e2dd0d201504bd859fd3b4f4 SHA512 b7c7eedf4d9604ee50ec97275e5ab57e22a567402815281440ca765210c75707bd2de20e7ebfb0842725690ae19557916fc41a9fbdace5fec8190632b038292e
DIST xz-5.4.4.tar.gz 2874706 BLAKE2B 0ade3767651a07a6bb4d53b510d7e97239e182788c42bc3388b97c54463ccaa968e27bcb88d34697df70381eea91279615f2622b5493ae2da22632e9576d8989 SHA512 2e27d864c9f346e53afc549d7046385b5d35a749af15d84f69de14612657df2f0e2ce71d3be03d57adadf8fd28549ecf4ef1c214bdcd1f061b5a47239e0104e8
DIST xz-5.4.4.tar.gz.sig 566 BLAKE2B 9d695293fe479e07b4051f9b22af19191ec7cb5063da519769a24a08cff46819a4f29db002cea92e4af982410dd660d9b3185c8ef0908abbf13b86f89c0baa0f SHA512 6f12f0b30e4e5c78238f5d758443621d4126edf5ec8d02c51f06cc27e40822f0429c2018ec567eae20d118a81295f9d31e2f9101720d289bebab15f72590e9f2

@ -0,0 +1,126 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
EAPI=8
inherit libtool multilib multilib-minimal preserve-libs usr-ldscript
if [[ ${PV} == 9999 ]] ; then
# Per tukaani.org, git.tukaani.org is a mirror of github and
# may be behind.
EGIT_REPO_URI="
https://github.com/tukaani-project/xz
https://git.tukaani.org/xz.git
"
inherit git-r3 autotools
# bug #272880 and bug #286068
BDEPEND="sys-devel/gettext >=sys-devel/libtool-2"
else
VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/jiatan.asc
inherit verify-sig
MY_P="${PN/-utils}-${PV/_}"
SRC_URI="
https://github.com/tukaani-project/xz/releases/download/v${PV}/${MY_P}.tar.gz
mirror://sourceforge/lzmautils/${MY_P}.tar.gz
https://tukaani.org/xz/${MY_P}.tar.gz
verify-sig? (
https://github.com/tukaani-project/xz/releases/download/v${PV}/${MY_P}.tar.gz.sig
https://tukaani.org/xz/${MY_P}.tar.gz.sig
)
"
if [[ ${PV} != *_alpha* && ${PV} != *_beta* ]] ; then
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
fi
S="${WORKDIR}/${MY_P}"
fi
DESCRIPTION="Utils for managing LZMA compressed files"
HOMEPAGE="https://tukaani.org/xz/"
# See top-level COPYING file as it outlines the various pieces and their licenses.
LICENSE="public-domain LGPL-2.1+ GPL-2+"
SLOT="0"
IUSE="doc +extra-filters nls static-libs"
if [[ ${PV} != 9999 ]] ; then
BDEPEND+=" verify-sig? ( sec-keys/openpgp-keys-jiatan )"
fi
src_prepare() {
default
if [[ ${PV} == 9999 ]] ; then
eautopoint
eautoreconf
else
# Allow building shared libs on Solaris/x64
elibtoolize
fi
}
multilib_src_configure() {
local myconf=(
--enable-threads
$(multilib_native_use_enable doc)
$(use_enable nls)
$(use_enable static-libs static)
)
if ! multilib_is_native_abi ; then
myconf+=(
--disable-{xz,xzdec,lzmadec,lzmainfo,lzma-links,scripts}
)
fi
if ! use extra-filters ; then
myconf+=(
# LZMA1 + LZMA2 for standard .lzma & .xz files
--enable-encoders=lzma1,lzma2
--enable-decoders=lzma1,lzma2
# those are used by default, depending on preset
--enable-match-finders=hc3,hc4,bt4
# CRC64 is used by default, though some (old?) files use CRC32
--enable-checks=crc32,crc64
)
fi
if [[ ${CHOST} == *-solaris* ]] ; then
export gl_cv_posix_shell="${EPREFIX}"/bin/sh
# Undo Solaris-based defaults pointing to /usr/xpg5/bin
myconf+=( --disable-path-for-script )
fi
ECONF_SOURCE="${S}" econf "${myconf[@]}"
}
multilib_src_install() {
default
gen_usr_ldscript -a lzma
}
multilib_src_install_all() {
find "${ED}" -type f -name '*.la' -delete || die
if use doc ; then
rm "${ED}"/usr/share/doc/${PF}/COPYING* || die
fi
}
pkg_preinst() {
preserve_old_lib /usr/$(get_libdir)/liblzma$(get_libname 0)
}
pkg_postinst() {
preserve_old_lib_notify /usr/$(get_libdir)/liblzma$(get_libname 0)
}

@ -4,7 +4,7 @@
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
EAPI=7
EAPI=8
inherit libtool multilib multilib-minimal preserve-libs usr-ldscript

Binary file not shown.

@ -1 +1 @@
DIST certbot-dns-dnsimple-1.31.0.gh.tar.gz 1371459 BLAKE2B 95fc9f29b1e91f5bc12a9b7146d00f4f3b4647eeda8e866c46c17d8d8a2443bd46cfa04758e8571e84b2bbf70bd68943c47ceaf6d830d3e5121e41d9548da051 SHA512 a2f6d7714bfc8e2c400e69be038404da138b53f0dc09e071048d560ba9e9527cc0b786b8d210b62c3d07c3aeadaee12dc0d060d144af4b5c3178576fde65b052
DIST certbot-2.6.0.gh.tar.gz 1336339 BLAKE2B 0c0575ad553ebe0f3ab56da750572bca46b30d034033e43c30c3793c114050ad824a277eab0be5a47326ea099e58e9a421448b53fc1b9173afae9a0ec308ac62 SHA512 d694156886484511f5a38fb5e40f98b2e2dbe4bc5110c95b2084ec03b39cb0eb9bbc623c7bca4a81054e980c8dbac752949042391813298a27be7e70410882e3

@ -4,24 +4,24 @@
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10,11} )
PYTHON_COMPAT=( python3_{10..11} )
inherit distutils-r1
SRC_URI="https://github.com/certbot/certbot/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
KEYWORDS="~amd64 ~x86"
S="${WORKDIR}"/certbot-${PV}/${PN}
DESCRIPTION="DNSimple Authenticator plugin for Certbot (Let's Encrypt Client)"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
HOMEPAGE="https://github.com/certbot/certbot https://certbot-dns-dnsimple.readthedocs.io/en/stable/"
# Use common certbot tarball
SRC_URI="https://github.com/certbot/certbot/archive/v${PV}.tar.gz -> certbot-${PV}.gh.tar.gz"
S="${WORKDIR}/certbot-${PV}/${PN}"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND="
>=app-crypt/certbot-${PV}[${PYTHON_USEDEP}]
>=app-crypt/acme-${PV}[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]
>=app-crypt/certbot-${PV}[${PYTHON_USEDEP}]
>=dev-python/dns-lexicon-3.2.1[${PYTHON_USEDEP}]
"

@ -1,10 +1,18 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<maintainer type="person" proxied="yes">
<email>azamat.hackimov@gmail.com</email>
<name>Azamat H. Hackimov</name>
</maintainer>
<maintainer type="person" proxied="proxy">
<email>matthew@gentoo.org</email>
<name>Matthew Smith</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<stabilize-allarches/>
<upstream>
<remote-id type="github">certbot/certbot</remote-id>

@ -1,3 +1,4 @@
DIST easy-rsa-3.0.6.tar.gz 663190 BLAKE2B 2c7f526c3ddddf13b4c6193bcd52bc992b9e81db28dec8cd9b5f44aba231eed18b6f25c64a42072a6409a5dd23db21fa8ccefc210ce924c68ad3a79475d2eaa1 SHA512 ce553b483ed2facab71d9bc212c4a454c6ed4a6489a0b963c4fc190916c71d048955e1e24d3e58a39438a51a83a02bf696bb2b9292c6ff665113043509062eb1
DIST easy-rsa-3.0.8.tar.gz 3864366 BLAKE2B 8bbb16a8885a2141c59f590882002f5e4fa5c52c77130ac56b7ee5b1817a6c3acdecac2d8db4f4f4bce39f62b469afaf60b5d56f46c1ea9472afe36a5fb7a818 SHA512 db23262ba2cd1b7fec17340ebe11504741baff23098ea9b4b1118077abf8ff3091b1299f9624a6dd788b2e1c169d9820ba41d11b091949f3f6c96ee8e0509231
DIST easy-rsa-3.1.2.tar.gz 6424018 BLAKE2B fef84b90875837c151bf9d71f71587d81aba79579948f4ff29ec3632cd17b0de82bf64c7d25b93720a696d339acdbf520b3a366e3ab214789acd17629d5db5ba SHA512 f36d3e11488ee98be4d901a8ae4f6cf08f4f0efc95bec38d1f1cde3ebd9dd133fe493cab2ebbbbbc99e803e318f93536e6a45ae677adb65c94d998114278035a
DIST easy-rsa-3.1.5.tar.gz 6456901 BLAKE2B 04bf53b5e6c4dc9062b05f96fea5e28005fd409dcb0f4ac490318322fd80b91bae3d66d2af62b59f8f2ccb24becc27ea1510a5edf4b4a401deafcdc6a09f63e2 SHA512 f803e790d5a93c3cfd127621f55af572d4d5eb99220c2ec9ccfc6db6659588bcbf43a41ac0aca81c45f964ecd9584f27e0cd3384b7141ebf49420e5ad4a8521c

@ -0,0 +1,25 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DESCRIPTION="Small RSA key management package, based on OpenSSL"
HOMEPAGE="https://openvpn.net/"
SRC_URI="https://github.com/OpenVPN/easy-rsa/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
DEPEND=">=dev-libs/openssl-0.9.6:0="
RDEPEND="${DEPEND}"
src_install() {
exeinto /usr/share/easy-rsa
doexe easyrsa3/easyrsa
insinto /usr/share/easy-rsa
doins -r easyrsa3/{vars.example,openssl-easyrsa.cnf,x509-types}
dodoc README.quickstart.md ChangeLog
dodoc -r doc
doenvd "${FILESDIR}/65easy-rsa" # config-protect easy-rsa
}

@ -1,7 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<maintainer type="person">
<email>voyageur@gentoo.org</email>
<name>Bernard Cafarelli</name>
</maintainer>
<upstream>
<remote-id type="github">OpenVPN/easy-rsa</remote-id>
</upstream>

@ -11,7 +11,7 @@ SRC_URI="https://archive.hadrons.org/software/libmd/${P}.tar.xz"
LICENSE="|| ( BSD BSD-2 ISC BEER-WARE public-domain )"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
multilib_src_configure() {
ECONF_SOURCE="${S}" econf

Binary file not shown.

@ -13,3 +13,4 @@ DIST elisp-manual-24.5.tar.xz 766300 BLAKE2B a93293646a4ddf8d9f9d3b7e1179178427c
DIST elisp-manual-25.3.tar.xz 806544 BLAKE2B 15d98b6dcc104dfeba66a3dd61489957a0339dfe43c7b09196814e48c7ff525930881805c0a6fb325ba66dc60fd5390b82d2c116ee08413b234e905c737bbe54 SHA512 85da76efef7645e13633a77fef8e775f42ebc8afad6eb5ab4bc839a12d1c1708430beaba8b89c152049700aa580abf1eaea539f2784a74486df380a59c3d6528
DIST elisp-manual-26.3.tar.xz 872288 BLAKE2B b7860ea1b7745f28cd3b391d03109239c09aef09f334db485c62756af6907d93a3ba77a92f7a105e003053aac7dca398467239af76d9feb3291bb1dd42d17af2 SHA512 94779be36b9d0e10f75def88faead6cce934f95887e9310c27413bf89f7e61a081978d6164cfe781a5c8dbde9696ac1e08046a82e77420aa07b9ffca45ccc40c
DIST elisp-manual-27.2.tar.xz 911212 BLAKE2B 97e6ebe6f54d7c70512fac2f8d5ca2a1f9e13e69683c48eb1a2a1023541d3410e319f11f5007f45f42f3e7f5bc3fd16b10bc3db86d48f582afc766f3e2d5ba2a SHA512 96d2671acd96df9fcdf371058708b92af0ee26889912134aeb90de28dc55b11889cf656eeea8ca3d214165f3b90db68ce867865ce32dfe255b52fba8a09ce2f5
DIST elisp-manual-28.2.tar.xz 938940 BLAKE2B 3a17de66e05d6d981c202a061399937182dfac5c198f50df0c6af91db9aebee170df90d278659677b138d2f65eca7ac423c39e4d8b775faac8fd4a0922ed9ca8 SHA512 13c3c316413a4d6041b7d9b01f83017fd735b7b5eb0b9d1c6e263b836cc58c98383f45f2b3bd8e17f25f89faf8056d75ea0069533d72f08e0c4fb1558cfc6d76

@ -1,4 +1,4 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@ -10,7 +10,7 @@ SRC_URI="https://dev.gentoo.org/~ulm/emacs/${P}.tar.xz"
S="${WORKDIR}/lispref"
LICENSE="FDL-1.3+"
SLOT="27"
SLOT="${PV%%.*}"
KEYWORDS="amd64 ppc ~riscv x86"
BDEPEND="sys-apps/texinfo"

@ -0,0 +1,27 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DESCRIPTION="The GNU Emacs Lisp Reference Manual"
HOMEPAGE="https://www.gnu.org/software/emacs/manual/"
# taken from doc/lispref/ (and some files from doc/emacs/) of emacs-${PV}
SRC_URI="https://dev.gentoo.org/~ulm/emacs/${P}.tar.xz"
S="${WORKDIR}/lispref"
LICENSE="FDL-1.3+"
SLOT="${PV%%.*}"
KEYWORDS="~amd64 ~ppc ~riscv ~x86"
BDEPEND="sys-apps/texinfo"
PATCHES=("${FILESDIR}/${P}-direntry.patch")
src_compile() {
makeinfo -I "${WORKDIR}"/emacs elisp.texi || die
}
src_install() {
doinfo elisp${SLOT}.info*
dodoc README
}

@ -0,0 +1,22 @@
--- lispref/elisp.texi
+++ lispref/elisp.texi
@@ -1,6 +1,6 @@
\input texinfo @c -*-texinfo-*-
@c %**start of header
-@setfilename ../../info/elisp.info
+@setfilename elisp28.info
@ifset VOL1
@set volflag
@@ -117,9 +117,9 @@
@end quotation
@end copying
-@dircategory Emacs lisp
+@dircategory Emacs
@direntry
-* Elisp: (elisp). The Emacs Lisp Reference Manual.
+* Elisp 28: (elisp28). The Emacs Lisp Reference Manual for Emacs 28.
@end direntry
@titlepage

Binary file not shown.

@ -8,5 +8,5 @@ DIST emacs-27.2-patches-6.tar.xz 11600 BLAKE2B ed8bfb8b2c086423e7bf9f8de5ffb929a
DIST emacs-27.2.tar.xz 44624480 BLAKE2B 245ea96004b90f81ac74de74521cbbe086caf1176937e08157eae12cdde5a0f35fc77f7119272ed812974358e5e95abb05e1c2e4f3b501cf5401ea9274f62156 SHA512 0f63a5a8709b113ef790c1a64845dad05ead096f93f62164ff221c517a35b91ea7bced75a992d794981a85382cda03cca7338da2f5ef8f6ef1459b88018a4ce9
DIST emacs-28.2-patches-4.tar.xz 6168 BLAKE2B d2968c5f96dcf285f987d32aa8e2ad38c8c2cc7757f9dd83a1faa75efc20c1ac44d6944cf9bcbafbfaa34caae2e7ec24a28fa250d8f5206e4d27649cc2719cec SHA512 94be2c6f715b073ab76a1b3f36194ba6f9c299599b4ba4292a14970f1a2974634ed961d20f62b3939a18347d02fb8025628a7622910f64df0b9879f98dcf5c14
DIST emacs-28.2.tar.xz 47722600 BLAKE2B a7e4990658b5e7306510f8dded93aaf0b82cdd9306df8b786526d038c3249ef9579287075f2235eb01a71ae1699db555254f137b86ab2d2305b45895053df552 SHA512 a7cec7e3e82367815a1442f69af54102dbfc434069810a9dec5938a6660cb8b076e6f1fb0bfff9695b15603dbbe05eb9c7dfd92e90cf40fc4d1e5746bce83bd8
DIST emacs-29.1-patches-1.tar.xz 1672 BLAKE2B c6852d5e653918b0a8fb2cfc2e25e9cc27b32564472410ac0ac76ec9c5350bd0a66b535327a8c2056b712cdaf046d12dab4cef232523a06436e7801d2516255d SHA512 947cd89502687fbac2849df5d0b0214f4a270a7b2da0458d402b2cbfefc2efac6902e693d64d1625efdcf3c0bb36967c1df47c391b8de2587839d2b7349279e6
DIST emacs-29.1-patches-2.tar.xz 1964 BLAKE2B 16f1e3dace2d13731334ff7ebce266bad3d976cffd10f5a13741b07a3cafa7e2ecacc96c446eb3b107e2bc2cd34f3a2393f3044ed475c2239ff73286ebddda33 SHA512 b5bb4684e8ad02f362e54b52951e133a2700e244ec0be969835f1b04e0bd2e6eb9c8d921e596dc131607370bdc52deaffed01ea5cd4cc4d29e624bb727026213
DIST emacs-29.1.tar.xz 52081008 BLAKE2B 5bec8fd7c63c04b93b2ad87c12c48373930c1b3c6984d139938ad1eb692af76417dc5494057225a04f77ce4797958056aa3522f50e3b0565ef5f060bb15f5402 SHA512 de10f2af462682019af680e6a82fd33feb05ce6d995bedf5756264fa06e29d90cab02c5884b0aeade1c5ab39cf064e0fb6ff9f78d9eedbd162f0a985945b9ec2

@ -32,7 +32,7 @@ else
SRC_URI="https://alpha.gnu.org/gnu/emacs/pretest/${PN}-${PV/_/-}.tar.xz"
fi
# Patchset from proj/emacs-patches.git
SRC_URI+=" https://dev.gentoo.org/~ulm/emacs/${P}-patches-1.tar.xz"
SRC_URI+=" https://dev.gentoo.org/~ulm/emacs/${P}-patches-2.tar.xz"
PATCHES=("${WORKDIR}/patch")
SLOT="${PV%%.*}"
[[ ${PV} == *.*.* ]] && SLOT+="-vcs"

@ -16,7 +16,7 @@ if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://github.com/neovim/neovim.git"
else
SRC_URI="https://github.com/neovim/neovim/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm arm64 ~ppc64 ~riscv x86 ~x64-macos"
KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86 ~x64-macos"
fi
LICENSE="Apache-2.0 vim"

Binary file not shown.

@ -1,3 +1,4 @@
DIST compat-29.1.3.3.tar.gz 124534 BLAKE2B 680a404a4819ebbd95f94e2112f8fe3e08cd7c47204319f231c844bdc064153e7df0f653ac9614e6b6185f30b4e82b52aeb8317d74f5aa1c89252c4e6b6afa52 SHA512 fb69e2cff11daea1e3ba6a4755dccb81850c0e64b335978c5a30cb8236108ae369149d8f2e04746884281c01535aba6e6c5ac3c319497d511ecdd090bed83510
DIST compat-29.1.4.0.tar.gz 127066 BLAKE2B e070ee6f64ad8a0ead91e8ef5fb6bdad95e4f0a8d16f8e513fcd60a91714f0fe2d8d084a23be5d6421d7129c603186db5ec80af3f2725f288e15c846c571ea3f SHA512 027341e06ab9f3c6c109a1bfee513b7ac1b472ed9e7002f731be2fa944920ec6805a928f69c7369ab98c818cee87dd3dfe0c217a4595752701f9939171f9f4de
DIST compat-29.1.4.1.tar.gz 127809 BLAKE2B e558747786932f49643d0869b2a4e9c8a6cae1e2386c99a65584ef55a9ba54ed00f172b86372a23f6fe43a1565c16d5e3e08933e3636c6e36344a8bd7d38e347 SHA512 3ebb02a8c41e056e7414f9c978066e888e58cc53b420f63051a6c46d486be2735517f03dbc191d4fefa3a058c469c9d718c9cd5f951745c5c09d9603352b7572
DIST compat-29.1.4.2.tar.gz 128695 BLAKE2B e02d431c307b08d07888362a20fb597cfcb275b645522229a116169eff7f875ff3dbf23bb1344249fa8ac2b25cf7ade20752ce9e97188a49d851ba5ae1dfa8cb SHA512 a31fb1564b1bad20f0f7a0a400e9834e88c2e21b8c022ce4696e27cddc351b7c882765235accde0b3f4a417680699bc5bb69f7485436c8e64d799e8a5ac9e390

@ -0,0 +1,41 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit elisp
DESCRIPTION="Compatibility libraries for Emacs"
HOMEPAGE="https://github.com/emacs-compat/compat/
https://git.sr.ht/~pkal/compat/"
SRC_URI="https://github.com/emacs-compat/${PN}/archive/${PV}.tar.gz
-> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
BDEPEND="sys-apps/texinfo"
ELISP_TEXINFO="${PN}.texi"
src_compile() {
emake compile ${PN}.info
}
src_test() {
local has_json="$("${EMACS}" ${EMACSFLAGS} --eval "(princ (fboundp 'json-parse-string))")"
if [[ "${has_json}" != t ]] ; then
local line
while read line ; do
ewarn "${line}"
done <<-EOF
Your current Emacs version does not support native JSON parsing,
which is required for running tests of ${CATEGORY}/${PN}.
Emerge >=app-editors/emacs-27 with USE="json" and use "eselect emacs"
to select that version.
EOF
else
emake test
fi
}

@ -1,2 +1,2 @@
DIST devil-0.4.0.tar.gz 20628 BLAKE2B 77bb01721cf3489151964515760c9d1778d4407339c081c0dc61f072dd6b75c56538fd917bb468f9ac827563dab698a28a67a3eece786547c9ecb544196b23d4 SHA512 7bf9422d5845f4a311672c8a27bd691d4246ddb2462efa8766f42eb6b8456e7960d191746fd325417fd23992f7e2af264cf975d193e9da16554a60944c8bff4a
DIST devil-0.5.0.tar.gz 23853 BLAKE2B a056c3fe984189289c19acd16128755821c54fb26abc0bde20ddf0951aba85fe0ee1f8b287bef0d80c40559ac5eff047a97f4a5466425ef95a303032d58499c6 SHA512 3bdb62826e15282e7f08401b57557b27de6c000f5aa1cfed8587670d3a87bd0d1d7e6bf916ef3d4e1efa1e8cdb8dffb496d19d5f3812b1087caea7d8350b6933
DIST devil-0.6.0.tar.gz 23943 BLAKE2B a3d6edb70b3e97c28ef35a428b058fc3202e654c98216aaf0ae96f9d8b3b154b81e53b6af07b56d5143814ea4df171c9481bf4690b49d6628b098d86fa9d0e2b SHA512 d45a876da49784e6f8b7d4c2f77dd68077be69fb559abb797ef08f19ac91a9bfd4f84749d3e3eea0e719778c4151b2034530c4d789034506256bd9fcb110559c

@ -1,2 +1,3 @@
DIST eldev-1.4.1.tar.gz 268814 BLAKE2B d31ef7842888f523dab25d279064ceda2f427f70f3353d015485bc78346f368e2a56f1a5dfc0243efae36752576be32b869726e391b040eda9c3ea4418002d67 SHA512 485ccbdbcb40c3e2a19de5bad7b35bc439a4fe7c228c28ca0c75ca8292ff6216bbf78bb2d26678b94b9fcc5526aea12e1e9c6aa0368e343a08c9081ef1058e81
DIST eldev-1.5.1.tar.gz 277342 BLAKE2B 9efc21e393703aa6649bf95ce0ab774f0306e04371001ab8de9202a9c0c975c9c8ba695dddecfb2be1717b49862aaea9a4ea714f38ccd05545597a93ddf2d61b SHA512 a06f8ecd9b5e1536f03fc6b23b721febb11841fe63b610ae410fe1a317f9e0c28c5cba590104d899e3987acb17bf354bdd17a0447aa83fab99871717574e7598
DIST eldev-1.5.tar.gz 276909 BLAKE2B 963940d203c0864d091c50703d18805b48e3bcc4d4fec07262421c453ad346a3963d711b2a96f10e46c2329ba75f6a92093ec2845726e83958e6973a8d579b0a SHA512 fcb277175254de51b37caab04ba74422925b22d3bc98e9e84a2f563f3251fa2bfabb573c98800a05245713d256fbdb59d1091d94a037ddb3a7dda4879f451e88

@ -0,0 +1,50 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit elisp
DESCRIPTION="Emacs Lisp Development Tool"
HOMEPAGE="https://github.com/doublep/eldev/"
if [[ ${PV} == *9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/doublep/${PN}.git"
else
SRC_URI="https://github.com/doublep/${PN}/archive/${PV}.tar.gz
-> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~ppc64 ~riscv ~x86"
fi
LICENSE="GPL-3+"
SLOT="0"
DOCS=( README.adoc )
SITEFILE="50${PN}-gentoo.el"
src_test() {
ELDEV_LOCAL="${S}" ./bin/${PN} test
}
src_install() {
elisp_src_install
dobin bin/${PN}
# NOTICE: If ELDEV_LOCAL is defined Eldev will use it
# to load up it's components,
# if it is not it will bootstrap itself from network
# always check if it uses installed Emacs Lisp files.
# Also, do not forget to run `env-update` & reopen your shell.
# https://github.com/doublep/eldev#influential-environment-variables
echo "ELDEV_LOCAL=${SITELISP}/${PN}" >> "${T}"/99${PN} || die
doenvd "${T}"/99${PN}
}
pkg_postinst() {
elisp_pkg_postinst
ewarn "Remember to run \`env-update && source /etc/profile\` if you plan"
ewarn "to use Eldev in a shell before logging out (or restarting"
ewarn "your login manager)."
}

@ -1,2 +1,3 @@
DIST haskell-mode-17.2.tar.gz 1144963 BLAKE2B 79005da9ac5a36f0dee0586aaee42d2db64711b56633d9e22b250044863383a332c6ce19c90d8c4d41dccc881eeeacc48cb75f705fd56d5af4ea678899f784d5 SHA512 3ef7052948d02d89150b3cd80e252b0dea2ebd9c485a6e7272c474906f282247b62f4ad4f639074326af908630cedbfa507f9b3b52f44a1579e7edce5e44e588
DIST haskell-mode-17.2_p20230616.tar.gz 1149636 BLAKE2B 80bc038c475729b2e31e111e773f2de1b6c61717859f01f8a1ff8f8f5589973bee96cdd65eb4e5508e0572770486fc4a03d1deb44cc5f2d84a9676ef6db244e3 SHA512 4cdfecd169adc1d913c7cebcbcb19ce94eec0eb89bbdccab9a5e5e0c4eaab989615cb1c78e96bf5968cc506f19dc6eb37d9206f811d68b58cd87ac973f229b19
DIST haskell-mode-17.3.tar.gz 1149597 BLAKE2B 6cb39102f031d6b6e387a7f7f2419105a8b3d9f10ab5974aa1e56ca587367290253cd9ee823c9ed87fdd0490c02bfdad2c279acc84ebed2adb7a14ca3905a521 SHA512 94d11652a6dab958de94cb5e1525e3888a7463a7328110cfb39b983874f71655c30e3a05eb20f0456b71e2678a7e09f1a389fdee78d493cf08fed2a10fbcc34e

@ -0,0 +1,60 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit elisp
DESCRIPTION="Mode for editing (and running) Haskell programs in Emacs"
HOMEPAGE="https://haskell.github.io/haskell-mode/
https://www.haskell.org/haskellwiki/Emacs#Haskell-mode"
if [[ ${PV} == *9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/haskell/${PN}.git"
else
SRC_URI="https://github.com/haskell/${PN}/archive/v${PV}.tar.gz
-> ${P}.tar.gz"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
fi
LICENSE="GPL-3+ FDL-1.2+"
SLOT="0"
BDEPEND="sys-apps/texinfo"
ELISP_REMOVE="
tests/haskell-cabal-tests.el
tests/haskell-customize-tests.el
tests/haskell-lexeme-tests.el
"
DOCS=( NEWS README.md )
ELISP_TEXINFO="doc/${PN}.texi"
SITEFILE="50${PN}-gentoo.el"
src_prepare() {
# We install the logo in SITEETC, not in SITELISP
# https://github.com/haskell/haskell-mode/issues/102
sed -i -e "/defconst haskell-process-logo/{n;" \
-e "s:(.*\"\\(.*\\)\".*):\"${SITEETC}/${PN}/\\1\":}" \
haskell-process.el || die
elisp_src_prepare
}
src_compile() {
elisp_src_compile
elisp-make-autoload-file haskell-site-file.el
}
src_test() {
emake check-ert
}
src_install() {
elisp_src_install
insinto "${SITEETC}"/${PN}
doins logo.svg
}

@ -0,0 +1,60 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit elisp
DESCRIPTION="Mode for editing (and running) Haskell programs in Emacs"
HOMEPAGE="https://haskell.github.io/haskell-mode/
https://www.haskell.org/haskellwiki/Emacs#Haskell-mode"
if [[ ${PV} == *9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/haskell/${PN}.git"
else
SRC_URI="https://github.com/haskell/${PN}/archive/v${PV}.tar.gz
-> ${P}.tar.gz"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
fi
LICENSE="GPL-3+ FDL-1.2+"
SLOT="0"
BDEPEND="sys-apps/texinfo"
ELISP_REMOVE="
tests/haskell-cabal-tests.el
tests/haskell-customize-tests.el
tests/haskell-lexeme-tests.el
"
DOCS=( NEWS README.md )
ELISP_TEXINFO="doc/${PN}.texi"
SITEFILE="50${PN}-gentoo.el"
src_prepare() {
# We install the logo in SITEETC, not in SITELISP
# https://github.com/haskell/haskell-mode/issues/102
sed -i -e "/defconst haskell-process-logo/{n;" \
-e "s:(.*\"\\(.*\\)\".*):\"${SITEETC}/${PN}/\\1\":}" \
haskell-process.el || die
elisp_src_prepare
}
src_compile() {
elisp_src_compile
elisp-make-autoload-file haskell-site-file.el
}
src_test() {
emake check-ert
}
src_install() {
elisp_src_install
insinto "${SITEETC}"/${PN}
doins logo.svg
}

@ -7,6 +7,7 @@
</maintainer>
<stabilize-allarches/>
<upstream>
<bugs-to>https://github.com/haskell/haskell-mode/issues/</bugs-to>
<remote-id type="github">haskell/haskell-mode</remote-id>
</upstream>
</pkgmetadata>

@ -1,2 +1,3 @@
DIST howm-1.4.5.tar.gz 565221 BLAKE2B a28e98e9b955c6172c7b9e51d8f157e22e87846cb2a2955d956f434c2a36fad7e0692c951ef3d37f57363d500d118c2eeaad55276656a8e543b72b8276317fa4 SHA512 b448bf8caeaf21bf1980862ed12541bd793369494a3e321bc5b77bb99ef63cc5ed2f70c54eaa60b427489e9b3fa9b0037d5cbe06449f87af924f245b7f8f2615
DIST howm-1.4.8.tar.gz 566903 BLAKE2B 0c4dee89147acb40051be18833ec4027bebc81102af2571e15fc06a9c6cefd3d1f0334008550321ad81ec28b44151bc9bc5ab4db8ad376cc4726fd571a77076d SHA512 e95a7e3287cd1cdb1c51d99b00627f8824e1c2a470a1a986910b8e79cd79234a0032c9d92dd5009bb6c09911c1d8848cb0fc585ecce8f5d1020cd5bbe2d36aa8
DIST howm-1.5.0.tar.gz 569867 BLAKE2B 68e4be1a808bea2f52167a9bea954e9d4036a6910525b01433e91e4f6ffbb9c0ec918d50a5b97544d88da651c905dcf56356dc6b8968b77522c0df2f8add5b2d SHA512 104be07b5167ce05dc794a4029c1ee35f8471f9fa406be3eba3565362a1685b9859b73de422ad43339db9f0f89245aa7a3838129996405d5b3f6fd633c3303bc

@ -0,0 +1,33 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit elisp
DESCRIPTION="Note-taking tool on Emacs"
HOMEPAGE="https://howm.sourceforge.jp/"
SRC_URI="http://howm.sourceforge.jp/a/${P}.tar.gz"
LICENSE="GPL-1+ GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
SITEFILE="50${PN}-gentoo.el"
src_configure() {
econf \
--with-emacs \
--with-lispdir="${SITELISP}" \
EMACS="${EMACS} --no-site-file"
}
src_compile() {
emake -j1 EMACS="${EMACS} --no-site-file" </dev/null
}
src_install() {
emake -j1 DESTDIR="${D}" install </dev/null
elisp-site-file-install "${FILESDIR}/${SITEFILE}"
dodoc ChangeLog
}

@ -13,7 +13,7 @@ S="${WORKDIR}"/${MY_P}
LICENSE="GPL-3+ FDL-1.3+ CC-BY-SA-3.0 odt-schema? ( OASIS-Open )"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
KEYWORDS="amd64 ppc x86"
IUSE="doc odt-schema"
RESTRICT="test"

Binary file not shown.

@ -2,3 +2,4 @@ DIST qemu-6.0.0.tar.xz 107333232 BLAKE2B 7746329d3e13782b7c346ce4052cc517cfc65cd
DIST qemu-7.1.0.tar.xz 121833004 BLAKE2B e05f91ce4993c7591a2df08b5fb017f8b8ec2141ab7bfd55d14730ea6b793ac1091de539992058392a5522d4e58beee92a87752707be58e3619b8213ef9f35bf SHA512 c60c5ff8ec99b7552e485768908920658fdd8035ff7a6fa370fb6881957dc8b7e5f18ff1a8f49bd6aa22909ede2a7c084986d8244f12074ccd33ebe40a0c411f
DIST qemu-8.0.0.tar.xz 127835148 BLAKE2B 9b54aae10fe09691a26e68374723ded5fdda6409673b4de9461a25ee060cfd03968a16ddeadc21d48b9262e53aa6d4e5eb645376969f97c65807fad19607b04f SHA512 1f31d1e653dec2d35f1b7a5468ee3f471553b48eca8c8afafffcf9243c6b2260e78a5b73da3fe567f9b85d4133573eebd397747b3aec501fb24076263eb07b27
DIST qemu-8.0.2.tar.xz 126707132 BLAKE2B f2b1a63e10c42aabfe39722c7732d0f04818ad367b769b3deb29c5bf9adcabc3aca1706f3c40fafeeb57ac1f7a61ded5066de32134c483e2fd27bc65b4b7d30a SHA512 4e915d33a662bf55b09247fb85150be376c92270d3764e3d6470c452cb70cc558f54e84de5610dd60a9eb3ea02d5d4277b1ec75c9804967d278fa8361c7f9b9a
DIST qemu-8.0.3.tar.xz 126710536 BLAKE2B 071cc1a35209a02e8c5dd4f43cb112f110b4655adb0f870a04fdf9a6e2c761699574e8c9426f70f60787a99acf252d7a64d94a8e837cdfeda93d89428d7866f3 SHA512 18b2ccb65f7ec2ae92f0e04406539620c881e2b75f63816588c86043a07464bb99d16a83e792ed9508de393f4b694c46d52f4d07edf52741e85224c8b8d5d5c3

@ -0,0 +1,82 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{9..11} )
inherit edo systemd toolchain-funcs python-any-r1 udev
MY_PN="qemu"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="QEMU Guest Agent (qemu-ga) for use when running inside a VM"
HOMEPAGE="https://wiki.qemu.org/Features/GuestAgent"
SRC_URI="http://wiki.qemu.org/download/${MY_P}.tar.xz"
LICENSE="GPL-2 BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
RDEPEND="dev-libs/glib"
DEPEND="${RDEPEND}"
BDEPEND="${PYTHON_DEPS}
dev-lang/perl
dev-util/ninja"
S="${WORKDIR}/${MY_P}"
PATCHES=(
)
src_configure() {
tc-export AR LD OBJCOPY RANLIB
local myconf=(
--prefix=/usr
--sysconfdir=/etc
--libdir="/usr/$(get_libdir)"
--localstatedir=/
--disable-bsd-user
--disable-linux-user
--disable-system
--disable-strip
--enable-tools
--disable-werror
--without-default-features
--enable-guest-agent
--python="${PYTHON}"
--cc="$(tc-getCC)"
--cxx="$(tc-getCXX)"
--host-cc="$(tc-getBUILD_CC)"
)
edo ./configure "${myconf[@]}"
}
src_install() {
dobin build/qga/qemu-ga
# Normal init stuff
newinitd "${FILESDIR}/qemu-ga.init-r1" qemu-guest-agent
newconfd "${FILESDIR}/qemu-ga.conf-r1" qemu-guest-agent
insinto /etc/logrotate.d
newins "${FILESDIR}/qemu-ga.logrotate" qemu-guest-agent
# systemd stuff
udev_newrules "${FILESDIR}/qemu-ga-systemd.udev" 99-qemu-guest-agent.rules
systemd_newunit "${FILESDIR}/qemu-ga-systemd.service" \
qemu-guest-agent.service
}
pkg_postinst() {
elog "You should add 'qemu-guest-agent' to the default runlevel."
elog "e.g. rc-update add qemu-guest-agent default"
udev_reload
}
pkg_postrm() {
udev_reload
}

Binary file not shown.

@ -15,7 +15,7 @@ SRC_URI="
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~arm64-macos ~x64-macos"
IUSE="test"
RESTRICT="!test? ( test )"
REQUIRED_USE=${PYTHON_REQUIRED_USE}

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="https://github.com/jarun/nnn/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc64 ~x86"
KEYWORDS="amd64 ~ppc64 ~x86"
IUSE="8contexts colemak colemak-dh emoji gitstatus icons namefirst nerdfonts pcre qsort +readline restorepreview"
DEPEND="sys-libs/ncurses:=

Binary file not shown.

@ -1,2 +1 @@
DIST onlyoffice-bin-7.3.3_amd64.deb 194296022 BLAKE2B 3f687cd4cfffb742ea078d08b575f3893765f4a82003a52e8645917e3e5f164ed7d547458ee58621dc3cb021bf5bbcc7fa9e88ae5130afac9662c186b256ff1f SHA512 fd3e9a48e488ef8fb8be01f3b1bfeeb87fe1a25d2a81e1716146557cfdf8a3822d36f5a66f43c6cb596d8e072bc1d3407f8320b092d9a1f0e9a54bb9f7920fa8
DIST onlyoffice-bin-7.4.0_amd64.deb 201997240 BLAKE2B 70a97225f230e84e3dc33a7b94970a2ff93d6140b3e50e4533c2d92b592e956c4f7da65dc80f5414d0d8f75211bc08abe15ea35f8f961052c501619811381131 SHA512 ef1546d3b5b8d4257cb8c22e8a204590663f5e61a8e65f82bf410521b8e9ca13bb6999d13a9c1de241f6a8f8787ab9dfef7f3a2fe061b625b68014937324cd81
DIST onlyoffice-bin-7.4.1_amd64.deb 202066536 BLAKE2B eb617fadb0bbffcff80d45cfe19e58a163af50d748f183ac09ae5799164bc5c20567c6e8961cfe6e151041df3ce090dd8de9de67b24e9081755cd92363ecfcc3 SHA512 8676d791ad9e32115837ffa060b208072d47b70b001abb2cbaa4fe1ff15265895756ca2bd2ae571b2f03e3af7d923534e5f3bc65f96a7a56052719e8156b6025

@ -1,78 +0,0 @@
# Copyright 2020-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit desktop unpacker xdg
MY_P="ONLYOFFICE-DesktopEditors-"${PV}""
DESCRIPTION="Onlyoffice is an office productivity suite (binary version)"
HOMEPAGE="https://www.onlyoffice.com/"
SRC_URI="
amd64? (
https://github.com/ONLYOFFICE/DesktopEditors/releases/download/v"${PV}"/onlyoffice-desktopeditors_amd64.deb
-> "${P}"_amd64.deb
)
"
LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="~amd64"
RESTRICT="mirror strip test"
RDEPEND="
>=app-accessibility/at-spi2-core-2.46.0
dev-libs/expat
dev-libs/glib:2
dev-libs/nspr
dev-libs/nss
dev-libs/wayland
dev-qt/qtgui:5[eglfs]
dev-qt/qtdeclarative:5
dev-qt/qtwayland:5
media-libs/alsa-lib
media-libs/fontconfig
media-libs/freetype
media-libs/gst-plugins-base:1.0
media-libs/gstreamer:1.0
media-libs/harfbuzz
media-libs/libglvnd
media-libs/libpulse
net-print/cups
sys-apps/dbus
x11-libs/cairo
x11-libs/gdk-pixbuf:2
x11-libs/gtk+:3
x11-libs/libdrm
x11-libs/libICE
x11-libs/libSM
x11-libs/libX11
x11-libs/libxcb
x11-libs/libXcomposite
x11-libs/libXcursor
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libXi
x11-libs/libXrandr
x11-libs/libXrender
x11-libs/libXScrnSaver
x11-libs/libXtst
x11-libs/pango
"
S="${WORKDIR}"
QA_PREBUILT="*"
src_install() {
domenu usr/share/applications/onlyoffice-desktopeditors.desktop
for size in {16,24,32,48,64,128,256}; do
newicon -s "${size}" opt/onlyoffice/desktopeditors/asc-de-"${size}".png onlyoffice-desktopeditors.png
done
dobin usr/bin/desktopeditors usr/bin/onlyoffice-desktopeditors
doins -r opt
fperms +x /opt/onlyoffice/desktopeditors/{DesktopEditors,editors_helper,converter/x2t}
}

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="https://github.com/vaeth/eix/releases/download/v${PV}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="debug doc nls sqlite"
DEPEND="

Binary file not shown.

@ -1,2 +1,2 @@
DIST html2text-2.1.1.tar.gz 172655 BLAKE2B ab112e41b9cb08664ae9cba2b137b59e67769b2c8cd758022e9b650a2cbd1788064ada1949e9efddc591c819b0c86890e22504bebde68c2973c353b6fa85da33 SHA512 e7fbd795b06895d866e3379c343860dc8816d5069b476cd13abeb066ba1ad222050863c1d52c6b2c05d426a17af7b427913341c8205964b21f18a3d26c3528c4
DIST html2text-2.2.2.tar.gz 328927 BLAKE2B 5b52d555bbeebfb89b1f1e8000328f7a386458aa4f65f77fadd5c36582ee90a2e16fc0e0c862f58bf99b9c69e97761d4338f23558264673081c6fef4b7c522e6 SHA512 e4c03a1d15e9f2cda63b28bba4b1927c920047eac2f9bc4b8b8b78148fbdc59f1df8d7f187df439523b922dd163f199d39a4b0c9b2fd92b72f821b2648283031
DIST html2text-2.2.3.tar.gz 329841 BLAKE2B 311defd6aa6affc6f1ad59d9971f0315b6f2d748b4ae26e2c5f61cbd090ff76f0f0df7155acb1ec5c0114a6b6253eb27fc73d327162dca2a144afae74cdf4afa SHA512 ff851abdc0f672d6bf8de494d6595362d5b71eeb03f4f761e32afb50bb75fe12c0cede8c7ca4ca7290b1c9e0f08aaff9821946dd272e1a30ce3b585e452cf6ec

Binary file not shown.

@ -14,7 +14,7 @@ SRC_URI="https://github.com/yhirose/cpp-httplib/archive/v${PV}.tar.gz
LICENSE="MIT"
SLOT="0/$(ver_cut 1-2)" # soversion
KEYWORDS="~amd64 ~loong ~x86"
KEYWORDS="amd64 ~loong ~x86"
IUSE="brotli ssl test zlib"
REQUIRED_USE="test? ( brotli ssl zlib )"

@ -1,4 +1,4 @@
# Copyright 2020-2022 Gentoo Authors
# Copyright 2020-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -16,15 +16,11 @@ else
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv x86"
fi
BDEPEND="
virtual/libc
sys-devel/libtool
"
RESTRICT="mirror"
LICENSE="BSD"
SLOT="0"
BDEPEND="sys-devel/libtool"
PATCHES=(
# Patch to convert the project into cmake. Taken from:
# https://github.com/imageworks/pystring/pull/29

Binary file not shown.

@ -1 +1,2 @@
DIST pg-gvm-22.5.1.tar.gz 38657 BLAKE2B e4c29e67650c101762157229dce7fa390f456e37d52ebc0f9c05beda8d5da8c11342857c87377b7bedc5e9e2d33c24b7f8a24e75fbce7cc5a28015d9d9235075 SHA512 aff713d9adceb6dedd4857acd70562bac80d024125637d47883d96bcfd47aa5cd0669c65d69dd307805bd3199a67ca76569cc1a65e19ea391b2c61fe8d359a82
DIST pg-gvm-22.6.1.tar.gz 39378 BLAKE2B 67116e826095b793838b48c9b0f8d42a3d31dfd730fbf4883edd6f70740a7e2d51a7a7aa3044114f423884dbac0515ef941e31e407e45c7dba017dbda19991b0 SHA512 7352fd25a3a8960636e5718b0902c90bc7808faa9c98b4596f4292d36a25b7f214336aeacc45f945c20ee6affa4c829e3aac80fc94f5f311140886e3ef018e30

@ -0,0 +1,38 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit cmake readme.gentoo-r1
DESCRIPTION="Greenbone Library for helper functions in PostgreSQL"
HOMEPAGE="https://www.greenbone.net https://github.com/greenbone/pg-gvm"
SRC_URI="https://github.com/greenbone/pg-gvm/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
SLOT="0"
LICENSE="GPL-3"
KEYWORDS="~amd64 ~x86"
# Tests requires a running database that match up with the current
# testing slot. Won't run from ${ED}, want's to install too early.
RESTRICT="test"
DEPEND="
>=dev-libs/glib-2.42:2
>=dev-libs/libical-1.0.0:=
>=net-analyzer/gvm-libs-22.6
"
RDEPEND="
${DEPEND}
>=dev-db/postgresql-9.6[uuid]
"
src_install() {
cmake_src_install
readme.gentoo_create_doc
}
pkg_postinst() {
readme.gentoo_print_elog
}

Binary file not shown.

@ -1,2 +1 @@
DIST asm-ASM_9_4.tar.bz2 1380417 BLAKE2B 612fc6669294f2926ec77522f642f2878a96a9c977579ceda9feb955041ff53fa698c75b26c27bae478a41dca59357d9cf824263df39d60ea5c6722e5f0efc75 SHA512 a59268808ac54a238bd6e117eb0164d28c5c3572c12d7ad42c2f3dbd32714c03056f330255756511db4f1ede8d66bf32c7347128b8ec179beba11cca27927687
DIST asm-ASM_9_5.tar.bz2 1372645 BLAKE2B 3eac319c9322dfd9fff1324b032a2248127592107c0256adec6f0c592cf55298b9f060603e1697e7560db9b337585f59bfebea684dcefaf0b4a149061ebb915c SHA512 6c1b4624789435b347b43db50e6605cf60008c73125245e1495e11eef03770e49308963ee152654fa45ac9b05150e8ff4d646d69b69aef27296069f4a7343301

@ -1,90 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
# No tests because:
# package org.junit.jupiter.api does not exist
# package org.junit.jupiter.params does not exist
JAVA_PKG_IUSE="doc source"
MAVEN_PROVIDES="org.ow2.asm:asm-bom:9.4 org.ow2.asm:asm:9.4"
inherit java-pkg-2 java-pkg-simple
DESCRIPTION="Bytecode manipulation framework for Java"
HOMEPAGE="https://asm.ow2.io"
MY_P="ASM_${PV//./_}"
SRC_URI="https://gitlab.ow2.org/asm/asm/-/archive/${MY_P}/asm-${MY_P}.tar.bz2"
LICENSE="BSD"
SLOT="9"
KEYWORDS="amd64 ~arm arm64 ppc64 x86 ~x64-macos"
DEPEND=">=virtual/jdk-11:*"
RDEPEND=">=virtual/jre-1.8:*"
ASM_MODULES=( "asm" "asm-tree" "asm-analysis" "asm-commons" "asm-util" )
S="${WORKDIR}/asm-${MY_P}"
src_prepare() {
default
local module
touch "${T}/asm.module" || die
for module in "${ASM_MODULES[@]}"; do
module=${module/-/.}
cat > ${module/./-}/src/main/java/module-info.java <<-EOF || die
open module org.objectweb.${module/analysis/tree.analysis} {
$(cat ${T}/asm.module)
requires java.base;
exports org.objectweb.${module/analysis/tree.analysis};
}
EOF
echo "requires transitive org.objectweb.${module/analysis/tree.analysis};" \
>> "${T}/asm.module" || die
done
sed -e '/^$/d' \
-e '/asm;/p;s:\(asm\)\(;\):\1.signature\2:' \
-i asm/src/main/java/module-info.java || die
sed -e '/analysis/d' \
-i asm-commons/src/main/java/module-info.java || die
sed -e '/commons/d' \
-i asm-util/src/main/java/module-info.java || die
}
src_compile() {
local module
for module in "${ASM_MODULES[@]}"; do
einfo "Compiling ${module}"
JAVA_JAR_FILENAME="${module}.jar"
JAVA_SRC_DIR="${module}/src/main/java"
java-pkg-simple_src_compile
JAVA_GENTOO_CLASSPATH_EXTRA+=":${module}.jar"
rm -r target || die
done
if use doc; then
einfo "Compiling javadocs"
JAVA_JAR_FILENAME="ignoreme.jar"
JAVA_SRC_DIR=()
for module in "${ASM_MODULES[@]}"; do
rm "${module}/src/main/java/module-info.java" || die
JAVA_SRC_DIR+=("${module}/src/main/java")
done
java-pkg-simple_src_compile
fi
}
src_install() {
local module
for module in "${ASM_MODULES[@]}"; do
java-pkg_dojar ${module}.jar
if use source; then
java-pkg_dosrc "${module}/src/main/java/*"
fi
done
if use doc; then
java-pkg_dojavadoc target/api
fi
default
}

@ -26,7 +26,7 @@ S="${WORKDIR}/asm-${MY_P}"
LICENSE="BSD"
SLOT="9"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
KEYWORDS="amd64 ~arm arm64 ppc64 x86 ~x64-macos"
DEPEND=">=virtual/jdk-11:*"
RDEPEND=">=virtual/jre-1.8:*"

Binary file not shown.

@ -1,2 +1,3 @@
DIST R-4.3.0.tar.gz 34821768 BLAKE2B 3505c8357419355fddb8aadbf0952c492e3e38d649d6261478d6187c94ff71110089ec0933a31dd2f7258e58a1d0864a68cb4d7b6cdefc54e5add55d0d62db10 SHA512 7f9bc8360818d7fdf05e26a4213df01468669514a4c2ad62dee358f53dcfa05a71ee72241db91fed59574c26d7caee5d3e0717637e1666daec99446e42c07813
DIST R-4.3.1.tar.gz 34899964 BLAKE2B 7aaacad01ce59e2faa46c4b830c10d2df8e4a3a1d4f11cf2aa622ceb53876f1e702dff94a820ca954ec29f53d58fa7e135ef15e8257602c50f2642b0a0c0a86a SHA512 f571c378dbdd675e267ef4419bb1141198924dadc08297c93c8dff58504994604918b3e045bb7139ba473972a063a68ed1c7426f37d4e8208b79358561d34d77
DIST R-78d6830e28ea90a046da79a9b4f70c39594bb6d6.bash_completion 13596 BLAKE2B 53338e4a1c4f68beb69247216e553dbcac47f660fbf032bfebf7a660e32d2cff5b11ed35411c52de7e1fd6e00bbf5b5ea19369a325fa0a38bd93d63dc3288cbd SHA512 9ccd19bb1b0c18a2f13035ccd6809447429e197e298fb4d1df808ef345d723b42f75a1b91c349f6dbb46e4a82e59ef33e11300c495d79b63d670d0c0f2b16a06

@ -0,0 +1,248 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit bash-completion-r1 autotools flag-o-matic fortran-2 toolchain-funcs
# latest git commit for R bash completion:
# https://github.com/deepayan/rcompletion
BCPV=78d6830e28ea90a046da79a9b4f70c39594bb6d6
DESCRIPTION="Language and environment for statistical computing and graphics"
HOMEPAGE="https://www.r-project.org/"
SRC_URI="
mirror://cran/src/base/R-4/${P}.tar.gz
https://raw.githubusercontent.com/deepayan/rcompletion/${BCPV}/bash_completion/R -> ${PN}-${BCPV}.bash_completion"
LICENSE="|| ( GPL-2 GPL-3 ) LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~hppa ~ia64 ~loong ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
IUSE="cairo doc icu java jpeg lapack lto minimal nls openmp perl png prefix profile readline test tiff tk X"
REQUIRED_USE="
png? ( || ( cairo X ) )
jpeg? ( || ( cairo X ) )
tiff? ( || ( cairo X ) )"
RESTRICT="
minimal? ( test )
!test? ( test )"
# At least one package installation in the test suite requires TeX,
# and will fail without it (bug #718056).
DEPEND="
app-arch/bzip2
app-arch/xz-utils
app-text/ghostscript-gpl
dev-libs/libpcre2:=
>=dev-libs/tre-0.8.0_p20210321[approx]
net-misc/curl
virtual/blas
sys-libs/zlib[minizip]
|| (
sys-apps/coreutils
app-misc/realpath
)
cairo? (
x11-libs/cairo:=[X=]
x11-libs/pango:=
)
icu? ( dev-libs/icu:= )
jpeg? ( media-libs/libjpeg-turbo:= )
kernel_linux? ( net-libs/libtirpc )
lapack? ( virtual/lapack )
perl? ( dev-lang/perl )
png? ( media-libs/libpng:= )
readline? ( sys-libs/readline:= )
tiff? ( media-libs/tiff:= )
tk? ( dev-lang/tk:= )
X? (
x11-libs/libXmu
x11-libs/libXt
)"
RDEPEND="${DEPEND}
java? ( >=virtual/jre-1.8:* )"
BDEPEND="
virtual/pkgconfig
doc? (
virtual/latex-base
dev-texlive/texlive-fontsrecommended
)
test? ( virtual/latex-base )"
PATCHES=(
"${FILESDIR}"/R-4.3.0-parallel.patch
"${FILESDIR}"/R-4.3.0-no-LDFLAGS-in-libR-pkg-config.patch
"${FILESDIR}"/R-4.3.0-no-gzip-doc.patch
)
# false positive, the linking step fails (as it should)
QA_CONFIG_IMPL_DECL_SKIP=( iconvlist )
pkg_pretend() {
[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
}
pkg_setup() {
if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
tc-check-openmp
FORTRAN_NEED_OPENMP=1
fi
fortran-2_pkg_setup
# avoid using existing R installation
unset R_HOME
}
src_prepare() {
default
# fix packages.html for doc (gentoo bug #205103)
sed -e "s:../../../library:../../../../$(get_libdir)/R/library:g" \
-i src/library/tools/R/Rd.R || die
# fix Rscript path when installed (gentoo bug #221061)
sed -e "s:-DR_HOME='\"\$(rhome)\"':-DR_HOME='\"${EPREFIX}/usr/$(get_libdir)/${PN}\"':" \
-i src/unix/Makefile.in || die "sed unix Makefile failed"
# fix HTML links to manual (gentoo bug #273957)
sed -e 's:\.\./manual/:manual/:g' \
-i $(grep -Flr ../manual/ doc) || die "sed for HTML links failed"
use lapack &&
export LAPACK_LIBS="$($(tc-getPKG_CONFIG) --libs lapack)"
use perl &&
export PERL5LIB="${S}/share/perl:${PERL5LIB:+:}${PERL5LIB}"
# don't search /usr/local
sed -i -e '/FLAGS=.*\/local\//c\: # removed by ebuild' configure.ac || die
# Fix for Darwin (macOS)
if use prefix; then
if [[ ${CHOST} == *-darwin* ]] ; then
sed -e 's:-install_name libR.dylib:-install_name ${libdir}/R/lib/libR.dylib:' \
-e 's:-install_name libRlapack.dylib:-install_name ${libdir}/R/lib/libRlapack.dylib:' \
-e 's:-install_name libRblas.dylib:-install_name ${libdir}/R/lib/libRblas.dylib:' \
-e "/SHLIB_EXT/s/\.so/.dylib/" \
-i configure.ac || die
# sort of "undo" 2.14.1-rmath-shared.patch
sed -e "s:-Wl,-soname=libRmath.so:-install_name ${EPREFIX}/usr/$(get_libdir)/libRmath.dylib:" \
-i src/nmath/standalone/Makefile.in || die
else
append-ldflags -Wl,-rpath="${EPREFIX}/usr/$(get_libdir)/R/lib"
fi
fi
AT_M4DIR=m4 eautoreconf
}
src_configure() {
filter-ldflags -Wl,-Bdirect -Bdirect
econf \
--enable-byte-compiled-packages \
--enable-R-shlib \
--disable-R-framework \
--disable-R-static-lib \
--with-blas="$($(tc-getPKG_CONFIG) --libs blas)" \
rdocdir="${EPREFIX}/usr/share/doc/${PF}" \
--with-system-tre \
--without-aqua \
$(use_enable java) \
$(use_enable lto lto R) \
$(use_enable nls) \
$(use_enable openmp) \
$(use_enable profile R-profiling) \
$(use_enable profile memory-profiling) \
$(use_with cairo) \
$(use_with icu ICU) \
$(use_with jpeg jpeglib) \
$(use_with lapack) \
$(use_with !minimal recommended-packages) \
$(use_with png libpng) \
$(use_with readline) \
$(use_with tiff libtiff) \
$(use_with tk tcltk) \
$(use_with tk tk-config "${ESYSROOT}"/usr/$(get_libdir)/tkConfig.sh) \
$(use_with tk tcl-config "${ESYSROOT}"/usr/$(get_libdir)/tclConfig.sh) \
$(use_with X x)
}
src_compile() {
export VARTEXFONTS="${T}"/fonts
emake AR="$(tc-getAR)"
emake -C src/nmath/standalone shared AR="$(tc-getAR)"
use doc && emake info pdf
}
src_install() {
default
emake -C src/nmath/standalone DESTDIR="${D}" install
if use doc; then
emake DESTDIR="${D}" install-info install-pdf
dosym ../manual /usr/share/doc/${PF}/html/manual
fi
newenvd - 99R <<-_EOF_
LDPATH="${EPREFIX}/usr/$(get_libdir)/${PN}/lib"
R_HOME="${EPREFIX}/usr/$(get_libdir)/${PN}"
_EOF_
newbashcomp "${DISTDIR}"/${PN}-${BCPV}.bash_completion ${PN}
# The buildsystem has a different understanding of install_names than
# we require. Since it builds modules like shared objects (wrong), many
# objects (all modules) get an incorrect install_name. Fixing the build
# system here is not really trivial.
if [[ ${CHOST} == *-darwin* ]] ; then
local mod
pushd "${ED}"/usr/$(get_libdir)/R >/dev/null || die
for mod in $(find . -name "*.dylib") ; do
mod=${mod#./}
install_name_tool -id "${EPREFIX}/usr/$(get_libdir)/R/${mod}" "${mod}"
done
popd >/dev/null || die
fi
# Users are encouraged to access some of the the R documentation
# interactively, through functions like "contributors()" that
# tries to open the "AUTHORS" file. Other files can be accessed
# by name with RShowDoc(), and the documentation for e.g. license()
# and RShowDoc() suggests a few of these names. Here we try to
# collect as many names as possible that a user might actually
# try to view through R, because if we don't decompress them,
# then R doesn't know what to do with 'em. Bug #556706.
local INTERACTIVE_DOCS=(
AUTHORS
COPYING
FAQ
NEWS
THANKS
)
# Other data sources that are shipped as "documentation," but which
# need to be accessible via their original unmolested filenames.
local INTERACTIVE_DATA=(
BioC_mirrors.csv
CRAN_mirrors.csv
KEYWORDS.db
NEWS.rds
)
local f NOCOMPRESS_DOCS=( "${INTERACTIVE_DOCS[@]}" "${INTERACTIVE_DATA[@]}" )
for f in "${NOCOMPRESS_DOCS[@]}"; do
docompress -x /usr/share/doc/${PF}/${f}
done
# Finally, an extra copy of this started showing up at some point...
rm "${ED}"/usr/$(get_libdir)/R/COPYING || die
}
pkg_postinst() {
if use java; then
einfo "Re-initializing java paths for ${P}"
R CMD javareconf
fi
}

@ -0,0 +1 @@
DIST dzaima-bqn-0.2.1.tar.gz 315654 BLAKE2B 1b11ad6901ec2fbb6b10a87d7e46e098cceb2ffdfd351d82a3709df3370f30e0aaee1b2e270c4d228f305ed573f1e1a979238fcbc6ca8ac690f26048a30bff2c SHA512 92ab33ed64ace127ece76526ea298f131d720e7deaa917551e16c0eb0e626b1b0074668260fcc652e18b1c90603149f8631a574b0e98d2b715bd73dbc3340d8e

@ -0,0 +1,61 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit edo java-pkg-2
DESCRIPTION="A BQN language implementation written in Java, also know as dbqn"
HOMEPAGE="https://github.com/dzaima/BQN/"
if [[ ${PV} == *9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/dzaima/BQN.git"
else
SRC_URI="https://github.com/dzaima/BQN/archive/v${PV}.tar.gz
-> ${P}.tar.gz"
S="${WORKDIR}/BQN-${PV}"
KEYWORDS="~amd64 ~x86"
fi
LICENSE="MIT"
SLOT="0"
RDEPEND=">=virtual/jre-1.8"
DEPEND=">=virtual/jdk-1.8"
BUILD_DIR="${WORKDIR}/${P}_BuildDir"
BUILD_JAR="${BUILD_DIR}/dbqn.jar"
DOCS=( readme.md )
src_prepare() {
default
java-pkg-2_src_prepare
mkdir -p "${BUILD_DIR}" || die
}
src_compile() {
# This is the "build8" (or "build") script rewritten for our purposes.
ejavac -d "${BUILD_DIR}" $(find ./src -name "*.java")
cd "${BUILD_DIR}" || die
edob jar cvfe "${BUILD_JAR}" BQN.Main BQN
}
src_test() {
edob java -jar "${BUILD_JAR}" -f "${S}"/test/test
}
src_install() {
java-pkg_dojar "${BUILD_JAR}"
java-pkg_dolauncher dbqn --jar dbqn.jar
einstalldocs
}
pkg_postinst() {
einfo "The ${CATEGORY}/${PN} installs the main executable under the name \"dbqn\"."
}

@ -0,0 +1,61 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit edo java-pkg-2
DESCRIPTION="A BQN language implementation written in Java, also know as dbqn"
HOMEPAGE="https://github.com/dzaima/BQN/"
if [[ ${PV} == *9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/dzaima/BQN.git"
else
SRC_URI="https://github.com/dzaima/BQN/archive/v${PV}.tar.gz
-> ${P}.tar.gz"
S="${WORKDIR}/BQN-${PV}"
KEYWORDS="~amd64 ~x86"
fi
LICENSE="MIT"
SLOT="0"
RDEPEND=">=virtual/jre-1.8"
DEPEND=">=virtual/jdk-1.8"
BUILD_DIR="${WORKDIR}/${P}_BuildDir"
BUILD_JAR="${BUILD_DIR}/dbqn.jar"
DOCS=( readme.md )
src_prepare() {
default
java-pkg-2_src_prepare
mkdir -p "${BUILD_DIR}" || die
}
src_compile() {
# This is the "build8" (or "build") script rewritten for our purposes.
ejavac -d "${BUILD_DIR}" $(find ./src -name "*.java")
cd "${BUILD_DIR}" || die
edob jar cvfe "${BUILD_JAR}" BQN.Main BQN
}
src_test() {
edob java -jar "${BUILD_JAR}" -f "${S}"/test/test
}
src_install() {
java-pkg_dojar "${BUILD_JAR}"
java-pkg_dolauncher dbqn --jar dbqn.jar
einstalldocs
}
pkg_postinst() {
einfo "The ${CATEGORY}/${PN} installs the main executable under the name \"dbqn\"."
}

@ -0,0 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>xgqt@gentoo.org</email>
<name>Maciej Barć</name>
</maintainer>
<upstream>
<bugs-to>https://github.com/dzaima/BQN/issues/</bugs-to>
<remote-id type="github">dzaima/BQN</remote-id>
</upstream>
</pkgmetadata>

@ -1,4 +1,4 @@
DIST eisl-2.98.tar.gz 2143636 BLAKE2B e38bf59e491218602e24217903b0f656ebcdee29311ec988447bff58b92f3bc51aa671ba8daf304fa8ce05a45ba71e22839bf74cfc6b1cc704e4c2bd1b5e1a74 SHA512 611bae543c4b12c3b7fb43a660edd219e9d8c1211ce6e3d7d19beae3ac5863f4f20722b79865444a42da30a0210474616115432428a2341b79e20b59e4a3a6e4
DIST eisl-3.03.tar.gz 2146686 BLAKE2B 540e51007ad0db3271c13e4bf8804f1d555a8baea19da3f66075a57abe77d71560c6d634eded1c86cda054327c01415a46e36fd67ea233553745ad49100dbd8c SHA512 b800073db94a394ef131db38744197b7273eb64a0125e4ccfb982de618a0f5ec5d031e632acb74efbb678bf200ae4e9b81bd5dce24ed4ba02764aa97d86ec878
DIST eisl-3.24.tar.gz 2155062 BLAKE2B 16e94d0b318db01152f67fdfaca863ddd385d533e01d54d3a540d9410cb85ab0f04256010c5d08b9197090856f128cb3a88682170edb0e1ce7346e01f7de9472 SHA512 6a725360ab6e87d67abc028ded74e80ae5d535a4a359cee965ec1017b67e59fc6c93739075fd82dc95046f59f515c910737685075a0ef6f347a4582af8d1efbe
DIST eisl-3.27.tar.gz 2156089 BLAKE2B 44d9c4a715d46b5214b89368f6c7419699bcb5da49cafc3112a96d6e6b085a3128d6aaf828ba1bc4d11eacf49f2c7cfbb9a54fb817d970e72f6b381a306747f6 SHA512 fa046f0d4ff93ab758a3bfaacf7ec094022ed53ab21e91bc8d5fb1a6923ed40c9d99c6ea74e6cb7285ba5cb3a21801abf5882107e9c365bc6e9fcc3a24ea3aa7
DIST eisl-3.30.tar.gz 2170799 BLAKE2B 123cdf6074f8f9170dc02e1f935e1d06a83cd3e2228e05b051776e7067369ab75cfa5afba8643424bee980c1ab6ca2c3314a1440074c6ddaba39ced5bc0b8fcd SHA512 4d44534f3120c9e2051c223326e528a051af087d0750ef2bcb15eb1e762b0e25769d3dbc3d04f2064053e0e4b6ec675918ffeef4a8fa4f4c72a3846524200904

@ -0,0 +1,13 @@
Bug: https://bugs.gentoo.org/894410
Refer: https://github.com/nim-lang/Nim/issues/20886#issuecomment-1511708198
--- a/lib/system/threadlocalstorage.nim
+++ b/lib/system/threadlocalstorage.nim
@@ -129,7 +129,7 @@ else:
when (defined(linux) or defined(nintendoswitch)) and defined(amd64):
type
SysThread* {.importc: "pthread_t",
- header: "<sys/types.h>" .} = distinct culong
+ header: "<sys/types.h>" .} = distinct pointer
Pthread_attr {.importc: "pthread_attr_t",
header: "<sys/types.h>".} = object
abi: array[56 div sizeof(clong), clong]

@ -1,11 +1,13 @@
# broken
tests/assert/tassert_c.nim
tests/async/tasync_traceback.nim
tests/coroutines/twait.nim
tests/errmsgs/t14444.nim
tests/errmsgs/tcall_with_default_arg.nim
tests/errmsgs/tproper_stacktrace.nim
tests/errmsgs/tproper_stacktrace2.nim
tests/errmsgs/tproper_stacktrace3.nim
tests/exception/t13115.nim
tests/js/tmangle.nim
tests/js/twritestacktrace.nim
tests/lent/tbasic_lent_check.nim
@ -21,6 +23,22 @@ tests/stdlib/tstackframes.nim
tests/stdlib/tstats.nim
tests/system/talloc.nim
tests/testament/tshould_not_work.nim
# broken on musl + llvm
tests/coroutines/tgc.nim
tests/coroutines/twait.nim
tests/misc/t18077.nim
tests/misc/temit.nim
tests/nimdoc/t15916.nim
tests/nimdoc/trunnableexamples.nim
tests/nimdoc/trunnableexamples2.nim
tests/objects/tobjcov.nim
tests/objects/toop1.nim
tests/stdlib/tencodings.nim
tests/stdlib/tgetaddrinfo.nim
tests/stdlib/tstdlib_various.nim
tests/stdlib/tstreams.nim
tests/stdlib/ttimes.nim
tests/vm/tvmmisc.nim
# require network
tests/stdlib/thttpclient.nim
tests/stdlib/tnetconnect.nim

@ -81,6 +81,10 @@ src_prepare() {
# note: there are consumers in the ::guru overlay
use experimental && eapply "${WORKDIR}"/nim-patches-${PATCH_PV}
# refer: https://github.com/nim-lang/Nim/issues/20886#issuecomment-1511708198
# bug: https://bugs.gentoo.org/894410
use elibc_musl && eapply "${FILESDIR}"/${PN}-1.6.14-clang16-musl-fix.patch
}
src_configure() {
@ -148,28 +152,35 @@ src_test() {
# AdditionalCategories from "testament/categories.nim".
categories+=( debugger examples lib )
local tcat checkpoint
local test_return=0
local tcat
local checkpoint
for tcat in "${categories[@]}"; do
# Use checkpoints for less painful testing.
checkpoint="${T}/.testament-${tcat}"
[[ -f "${checkpoint}" ]] && continue
case ${tcat} in
testdata )
:
;;
;;
arc | ic | valgrind )
einfo "Skipped category '${tcat}'"
;;
* )
einfo "Running tests in category '${tcat}'"
edo ./bin/testament "${testament_args[@]}" \
category "${tcat}" "${nimflags[@]}"
nonfatal edo ./bin/testament "${testament_args[@]}" \
category "${tcat}" "${nimflags[@]}" || test_return=1
;;
esac
touch "${checkpoint}" || die
done
[[ "${test_return}" -eq 1 ]] &&
die "tests failed, please inspect the failed test categories above"
}
src_install() {

Binary file not shown.

@ -1,2 +1 @@
DIST c-blosc-1.21.3.gh.tar.gz 1532077 BLAKE2B ff8ad36e4e34b245062025c5820655bb52fea40276e88a748253d5079c3b5f8662079f177835ab38aa6e58d87e7849a93d7e1289346fcc53c077ef85b7382462 SHA512 e9542aa2d1ebae9f6dcc12916d7ac3b920d771281ab96e2b2d59c2951e5f51d02d2684859b8823643d43d320613fb9dd8a3ea411ade34e66e323fcefa8165a91
DIST c-blosc-1.21.4.gh.tar.gz 2458878 BLAKE2B 5b58e5069ed99e67adaef832871d45e4e3b88dede169833b07bb1800d35d6d43909c59645f79c003f9a80604e432c81f7d5da35fd19899fbb0378e81f015b0fa SHA512 cbe8406dc88318a582b6ea5e5ba1a25b66814f741743dd512b1a61664691977bfe0896baf24d2e998cdbb209a3ba83c6eb79e86bc1e7a2eb5ef2cde697e8eb65

@ -1,53 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit cmake
DESCRIPTION="Blocking, shuffling and lossless compression library"
HOMEPAGE="
https://www.blosc.org/
https://github.com/Blosc/c-blosc/
"
SRC_URI="
https://github.com/Blosc/c-blosc/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz
"
LICENSE="BSD"
SLOT="0/1"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
IUSE="+lz4 +snappy test zlib zstd"
RESTRICT="!test? ( test )"
DEPEND="
lz4? ( >=app-arch/lz4-1.7.5:= )
snappy? ( app-arch/snappy:= )
zlib? ( sys-libs/zlib:= )
zstd? ( app-arch/zstd:= )
"
RDEPEND="
${DEPEND}
"
src_configure() {
# remove bundled libs (just in case)
rm -rf internal-complibs || die
local mycmakeargs=(
-DBUILD_STATIC=OFF
-DBUILD_TESTS=$(usex test)
-DBUILD_BENCHMARKS=OFF
-DBUILD_FUZZERS=OFF
-DDEACTIVATE_LZ4=$(usex !lz4)
-DDEACTIVATE_SNAPPY=$(usex !snappy)
-DDEACTIVATE_ZLIB=$(usex !zlib)
-DDEACTIVATE_ZSTD=$(usex !zstd)
-DPREFER_EXTERNAL_LZ4=ON
# snappy is always external
-DPREFER_EXTERNAL_ZLIB=ON
-DPREFER_EXTERNAL_ZSTD=ON
)
cmake_src_configure
}

@ -17,7 +17,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0/1"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
IUSE="+lz4 +snappy test zlib zstd"
RESTRICT="!test? ( test )"

@ -1,4 +1,5 @@
DIST c-blosc2-2.10.0.gh.tar.gz 3140563 BLAKE2B c3469b38196efab099ee117b74e864de06ed9619e53b8a895ac761876bafff944d1315e1a51064b6b92198a22691018e0ce25ee4485d2e36b7017ec642224b6d SHA512 1d7588cc8e1ffbb4cee4549e0f913e0671e02b405c918eb0bebde7a6af35005c1e7c6c95142cd80abd7175542e9f91e8454fd88262f668c3a24982b69f1644fa
DIST c-blosc2-2.10.1.gh.tar.gz 3142877 BLAKE2B de7e3479ff6255da235c08926563b2236de086edba51a2949de3537fd7c224de1007053747867ebe8aa6ce70a969816271850b695bc8168747639514fea8b6de SHA512 1c1d1db77f2091059e0c6cc6edb578d29d6970e319acd21eb9fb6b0610c3e206eee2c464c9690cd609a5e53da17eb27cfd1469f6a531b0d5f9a9d8a5c9f00a92
DIST c-blosc2-2.6.1.gh.tar.gz 2365300 BLAKE2B a3fdc8798eb70e97791b7b708ef872142d38b9c4fdb8efc6d5da2010149fa61f4115f27af630a43edd5f351cb8693fbb79457f19ccf1a518f057902b93196b3d SHA512 9f5daa59d5191784ee91deb18ed15a3b36504b05061ca8b1532eaf8e402c793944059894b277843e8da19f00af05615e0865d9fdb80decd83aa07867b0e661a0
DIST c-blosc2-2.9.1.gh.tar.gz 2793299 BLAKE2B 1853611566f081f5c6236ade1882b07aa6d596f65bb303823f418faaf0e971c1850e3e78ca501650880d4611110200c302896e81a5b13cdf05bc43c81b81dd3a SHA512 9430c026f9d7a98e38915e3d308402989073aa6fa1e8e1d5b9bdb155c70c5cc24ca118cdb5b3584647f72ae80a13be0a8467250af7ef336a1ac72eb8ec8a67f5
DIST c-blosc2-2.9.2.gh.tar.gz 2790821 BLAKE2B c47c59b7db8c3fbe04e6f63a2474ad325d7c59f5508c42dfc005a690a3020c6479927d5884f909ad106ff4c2aa04523786133a407ec8a54ee92887b24a214428 SHA512 f44346bf3ce8824dbe23d33b688d6b2063406011c066cc14ea3319537c17ecc5c1250c30d77e50696aad9932e0dd10fc95ab4f2c295208808446525636314522

@ -0,0 +1,64 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit cmake
DESCRIPTION="Blocking, shuffling and lossless compression library"
HOMEPAGE="
https://www.blosc.org/c-blosc2/c-blosc2.html
https://github.com/Blosc/c-blosc2/
"
SRC_URI="
https://github.com/Blosc/c-blosc2/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz
"
LICENSE="BSD"
SLOT="0/1"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="test zlib zstd"
REQUIRED_USE="test? ( zlib zstd )"
RESTRICT="!test? ( test )"
DEPEND="
>=app-arch/lz4-1.7.5:=
zlib? ( sys-libs/zlib:= )
zstd? ( app-arch/zstd:= )
"
RDEPEND="
${DEPEND}
"
src_configure() {
# remove bundled libs (just in case)
rm -rf internal-complibs || die
local mycmakeargs=(
-DBUILD_STATIC=OFF
-DBUILD_TESTS=$(usex test)
-DBUILD_BENCHMARKS=OFF
-DBUILD_EXAMPLES=OFF
-DBUILD_FUZZERS=OFF
-DDEACTIVATE_ZLIB=$(usex !zlib)
-DDEACTIVATE_ZSTD=$(usex !zstd)
-DPREFER_EXTERNAL_LZ4=ON
-DPREFER_EXTERNAL_ZLIB=ON
-DPREFER_EXTERNAL_ZSTD=ON
# force regular zlib, zlib-ng support is broken anyway
# https://bugs.gentoo.org/911566
-DCMAKE_DISABLE_FIND_PACKAGE_ZLIB_NG=ON
# upstream overrides CMAKE_C_FLAGS, preventing ${CFLAGS} defaults
# from applying, https://github.com/Blosc/c-blosc2/issues/433
-DCMAKE_C_FLAGS="${CFLAGS}"
)
cmake_src_configure
}
src_test() {
# Tests fail in parallel, https://github.com/Blosc/c-blosc2/issues/432
MAKEOPTS=-j1 cmake_src_test
}

@ -1,3 +1,4 @@
DIST capstone-4.0.2.tar.gz 3439542 BLAKE2B 435729a8fef2dce6495635352101b3befe563c8404efdbb0dccabecbe2bded332221665bacdbcd9043dda72b652b6f29c0e1a548cefb8c64d5b6b9dc174ed3d9 SHA512 7f93534517307b737422a8825b66b2a1f3e1cca2049465d60ab12595940154aaf843ba40ed348fce58de58b990c19a0caef289060eb72898cb008a88c470970e
DIST capstone-5.0.tar.gz 7636912 BLAKE2B 8980268415a1e66afb9420a4fd4d94dcb78a7022b62a27d7a95ab0eb21a23fc27e2a2e99c0250133f3ff42c589ea7a5dba59c03175ae8f85fe74a80b52790763 SHA512 bb345fe7abaaf4932db93702ce713403aa88d1a63ff931be43f0ef72c5b1a7d17b85df6157fc476e236e009a2bd75cabb2534588387d01b3851e756e6c3e444d
DIST capstone-5.0_rc2.tar.gz 5761725 BLAKE2B 2f5074fe1881309ee2d36cdfeba10bacefbac5c994d42dd3b08c07fe8b70e298d9d18e9c061dad1a54c6368bdc296fd02f30d77f78b1ae05074764e7041aef2c SHA512 fdc4992399a2add960b12ff2495087a97fa66dce85e87375ba9d19e02b7ea5fb16a7efa93d839c2693378f6367efc9df68f192584ba624443d3b0b197d4dcd9a
DIST capstone-5.0_rc4.tar.gz 7640978 BLAKE2B 32f10208ee1789c8818aa321b2d5d11b2aadbc358ae64e862e150d1ddaaa77b9b379175dbbf9c079fb3bc967b40712346e65d7a53003e5dc9ebacab746b821de SHA512 71a685017ad10a25431debe3678e2b29dc3380f78dce3eddaf3ffa26611d1ecc1f191bf930745befc5d45592a8a2887da3a258ab26db460f999d764d3155ac69

@ -0,0 +1,92 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{10..12} )
DISTUTILS_EXT=1
DISTUTILS_OPTIONAL=1
DISTUTILS_USE_PEP517=setuptools
inherit cmake distutils-r1 toolchain-funcs
DESCRIPTION="disassembly/disassembler framework + bindings"
HOMEPAGE="https://www.capstone-engine.org/"
if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/capstone-engine/capstone.git"
EGIT_REPO_BRANCH="next"
else
MY_PV="${PV/_rc/-rc}-post1"
SRC_URI="https://github.com/capstone-engine/capstone/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/${PN}-${MY_PV}"
KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
fi
LICENSE="BSD"
SLOT="0/5" # libcapstone.so.5
IUSE="python static-libs test"
RDEPEND="python? ( ${PYTHON_DEPS} )"
DEPEND="${RDEPEND}
python? ( dev-python/setuptools[${PYTHON_USEDEP}] )
"
BDEPEND="${DISTUTILS_DEPS}"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
distutils_enable_tests setup.py
if [[ ${PV} == *_rc* ]]; then
# Upstream doesn't flag release candidates (bug 858350)
QA_PKGCONFIG_VERSION=""
fi
wrap_python() {
local phase=$1
shift
if use python; then
pushd bindings/python >/dev/null || die
distutils-r1_${phase} "$@"
popd >/dev/null || die
fi
}
src_prepare() {
tc-export RANLIB
cmake_src_prepare
wrap_python ${FUNCNAME}
}
src_configure() {
local mycmakeargs=(
-DCAPSTONE_BUILD_TESTS="$(usex test)"
)
cmake_src_configure
wrap_python ${FUNCNAME}
}
src_compile() {
cmake_src_compile
wrap_python ${FUNCNAME}
}
src_test() {
cmake_src_test
wrap_python ${FUNCNAME}
}
src_install() {
cmake_src_install
wrap_python ${FUNCNAME}
if ! use static-libs ; then
find "${ED}" -name '*.a' -delete || die
fi
}

@ -6,7 +6,7 @@ EAPI=8
inherit flag-o-matic linux-info
DESCRIPTION="Embedded Linux Library provides core, low-level functionality for system daemons"
HOMEPAGE="https://01.org/ell"
HOMEPAGE="https://git.kernel.org/pub/scm/libs/ell/ell.git"
if [[ "${PV}" == *9999 ]] ; then
inherit autotools git-r3
EGIT_REPO_URI="https://git.kernel.org/pub/scm/libs/ell/ell.git"

@ -6,7 +6,7 @@ EAPI=8
inherit flag-o-matic linux-info
DESCRIPTION="Embedded Linux Library provides core, low-level functionality for system daemons"
HOMEPAGE="https://01.org/ell"
HOMEPAGE="https://git.kernel.org/pub/scm/libs/ell/ell.git"
if [[ "${PV}" == *9999 ]] ; then
inherit autotools git-r3
EGIT_REPO_URI="https://git.kernel.org/pub/scm/libs/ell/ell.git"

@ -1,4 +1,4 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@ -6,7 +6,7 @@ EAPI=8
inherit flag-o-matic linux-info
DESCRIPTION="Embedded Linux Library provides core, low-level functionality for system daemons"
HOMEPAGE="https://01.org/ell"
HOMEPAGE="https://git.kernel.org/pub/scm/libs/ell/ell.git"
if [[ "${PV}" == *9999 ]] ; then
inherit autotools git-r3
EGIT_REPO_URI="https://git.kernel.org/pub/scm/libs/ell/ell.git"

@ -19,7 +19,7 @@ SRC_URI+=" verify-sig? ( mirror://gnupg/${PN}/${P}.tar.bz2.sig )"
LICENSE="GPL-3 LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
# Note: On each bump, update dep bounds on each version from configure.ac!
RDEPEND=">=dev-libs/libgpg-error-1.33"

@ -17,7 +17,7 @@ RESTRICT="!test? ( test )"
RDEPEND="
>=dev-libs/glib-2.38.0:2[${MULTILIB_USEDEP}]
>=virtual/libudev-251:=[${MULTILIB_USEDEP}]
>=virtual/libudev-251:=[sticky-tags(+),${MULTILIB_USEDEP}]
introspection? ( >=dev-libs/gobject-introspection-1.31.1 )
"
DEPEND="${RDEPEND}

@ -19,7 +19,7 @@ SRC_URI+=" verify-sig? ( mirror://gnupg/${PN}/${P}.tar.bz2.sig )"
LICENSE="LGPL-3+ GPL-2+ GPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="static-libs"
RDEPEND=">=dev-libs/libgpg-error-1.33"

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save